<?php

namespace App\Entity;

use ApiPlatform\Metadata\ApiResource;
use ApiPlatform\Metadata\GetCollection;
use App\State\NumberSalesByDateProvider;

#[ApiResource(operations: [
    new GetCollection(
        uriTemplate: 'number_sales_by_date',
        provider: NumberSalesByDateProvider::class
    )
])]
class NumberSalesByDate
{
    protected \DateTime $startDate;
    protected \DateTime $endDate;
    protected int $numberSales;

    public function getStartDate(): \DateTime
    {
        return $this->startDate;
    }

    public function getEndDate(): \DateTime
    {
        return $this->endDate;
    }

    public function getNumberSales(): int
    {
        return $this->numberSales;
    }

    public function setStartDate(\DateTime $startDate): void
    {
        $this->startDate = $startDate;
    }

    public function setEndDate(\DateTime $endDate): void
    {
        $this->endDate = $endDate;
    }

    public function setNumberSales(int $numberSales): void
    {
        $this->numberSales = $numberSales;
    }
}
